# https://files.pythonhosted.org/packages/90/f4/9a2e384b325b69bc5827b9a6510a8fb4a51698c915c06a3f25a86458892a/gmpy2-2.0.8.zip
%global _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so
%global module gmpy2

Name:           python-%{module}
Version:        2.1.2
Release:        %mkrel 1
Summary:        Python interface to GMP
License:        LGPLv3 and GPLv3
Group:          Development/Python
Url:            https://github.com/aleaxit/gmpy
Source0:        %{module}-%{version}.tar.xz

BuildRequires:  libgmp-devel
BuildRequires:  libmpc-devel
BuildRequires:  mpfr-devel
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:	python3-devel
BuildRequires:  python3-setuptools

%description
The General Multiprecision PYthon project (GMPY) focuses on
Python-usable modules providing multiprecision arithmetic
functionality to Python programmers. The project mission includes both
C and C++ Python-modules (for speed) and pure Python modules (for
flexibility and convenience); it potentially includes integral,
rational and floating-point arithmetic in any base. Only
cross-platform functionality is of interest, at least for now.

%package -n 	python3-%{module}
Summary:	Python interface to GMP
Group:		Development/Python

%description -n python3-%{module}
he General Multiprecision PYthon project (GMPY) focuses on
Python-usable modules providing multiprecision arithmetic
functionality to Python programmers. The project mission includes both
C and C++ Python-modules (for speed) and pure Python modules (for
flexibility and convenience); it potentially includes integral,
rational and floating-point arithmetic in any base. Only
cross-platform functionality is of interest, at least for now.

%prep
%setup -qn %{module}-%{version}
cp -a . %{py3dir}

%build
%py2_build
pushd %{py3dir}
%py3_build
popd

%install
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitearch}
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitearch}
popd

%files
%doc README COPYING* PKG-INFO
%{python2_sitearch}/*

%files -n python3-%{module}
%doc README COPYING* PKG-INFO
%{python3_sitearch}/*

%changelog
* Thu Jun 23 2022 TerryN <terryn94 at gmail.com>  2.1.2-1pclos2022
- update and rebuild for python 3.10

* Mon Oct 04 2021 tex - 2.0.8-3pclos2021
- rebuild against updates

* Mon Apr 16 2018 marcin82 <fixxer1982 at gmail.com> 2.0.8-2pclos2018
- rebuild with python 3.6.5

* Sun Apr 16 2017 ghostbunny <ghostbunny at gmx dot de> 2.08-1pclos2017
- initial import of gmpy2 based on gmpy1 spec
